Bug 1257735 - (CVE-2015-5239) CVE-2015-5239 qemu-kvm: Integer overflow in vnc_client_read() and protocol_client_msg()
CVE-2015-5239 qemu-kvm: Integer overflow in vnc_client_read() and protocol_cl...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140630,repor...
: Security
Depends On: 1259504
Blocks: 1255421
  Show dependency treegraph
 
Reported: 2015-08-27 15:35 EDT by Kurt Seifried
Modified: 2018-03-05 10:01 EST (History)
40 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer overflow issue was found in the VNC display driver of the QEMU emulator, which could be used by a privileged guest user to create a denial of service attack. The overflow occurred when processing a CLIENT_CUT_TEXT message with too large a payload size. The integer overflow led to an infinite loop inside the VNC driver, eventually crashing the QEMU process on the host.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2015-08-27 15:35:57 EDT
Qemu emulator built with the VNC display driver is vulnerable to an infinite loop issue. It could occur while processing a CLIENT_CUT_TEXT message with specially crafted payload message.

A privileged guest user could use this flaw to crash the Qemu process instance on the host, resulting in DoS.

Upstream fix:
-------------
  -> git.qemu.org/?p=qemu.git;a=commit;h=f9a70e79391f6d7c2a912d785239ee8effc1922d
Comment 1 Prasad J Pandit 2015-09-02 15:23:16 EDT
Statement: 

This issue affects the versions of kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6 and 7.

This issue affects the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affect the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.
Comment 2 Prasad J Pandit 2015-09-02 15:24:11 EDT
This has been rated as having Moderate security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 3 Prasad J Pandit 2015-09-02 15:26:42 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1259504]
Comment 5 Adam Mariš 2015-09-07 04:29:22 EDT
Acknowledgements:

Red Hat would like to thank Lian Yihan of Qihoo 360 for reporting this issue.
Comment 6 Adam Mariš 2015-09-07 04:30:34 EDT
Public via:

http://seclists.org/oss-sec/2015/q3/478
Comment 7 Fedora Update System 2015-10-03 13:33:58 EDT
xen-4.5.1-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-10-04 18:49:57 EDT
xen-4.5.1-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-04 19:19:12 EDT
xen-4.4.3-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.